Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
89.0.0.0
Broadcast address
89.127.255.255
First usable
89.0.0.1
Last usable
89.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1501560831
Reverse DNS zones
0.89.in-addr.arpa
1.89.in-addr.arpa
2.89.in-addr.arpa
3.89.in-addr.arpa
4.89.in-addr.arpa
5.89.in-addr.arpa
6.89.in-addr.arpa
7.89.in-addr.arpa
8.89.in-addr.arpa
9.89.in-addr.arpa
10.89.in-addr.arpa
11.89.in-addr.arpa
12.89.in-addr.arpa
13.89.in-addr.arpa
14.89.in-addr.arpa
15.89.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000000.00000000.0000000089.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011001.00000000.00000000.0000000089.0.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/16

89.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/1689.0.0.1 to 89.0.255.25489.0.255.25565,534
289.1.0.0/1689.1.0.1 to 89.1.255.25489.1.255.25565,534
389.2.0.0/1689.2.0.1 to 89.2.255.25489.2.255.25565,534
489.3.0.0/1689.3.0.1 to 89.3.255.25489.3.255.25565,534
589.4.0.0/1689.4.0.1 to 89.4.255.25489.4.255.25565,534
689.5.0.0/1689.5.0.1 to 89.5.255.25489.5.255.25565,534
789.6.0.0/1689.6.0.1 to 89.6.255.25489.6.255.25565,534
889.7.0.0/1689.7.0.1 to 89.7.255.25489.7.255.25565,534
989.8.0.0/1689.8.0.1 to 89.8.255.25489.8.255.25565,534
1089.9.0.0/1689.9.0.1 to 89.9.255.25489.9.255.25565,534
1189.10.0.0/1689.10.0.1 to 89.10.255.25489.10.255.25565,534
1289.11.0.0/1689.11.0.1 to 89.11.255.25489.11.255.25565,534
1389.12.0.0/1689.12.0.1 to 89.12.255.25489.12.255.25565,534
1489.13.0.0/1689.13.0.1 to 89.13.255.25489.13.255.25565,534
1589.14.0.0/1689.14.0.1 to 89.14.255.25489.14.255.25565,534
1689.15.0.0/1689.15.0.1 to 89.15.255.25489.15.255.25565,534
1789.16.0.0/1689.16.0.1 to 89.16.255.25489.16.255.25565,534
1889.17.0.0/1689.17.0.1 to 89.17.255.25489.17.255.25565,534
1989.18.0.0/1689.18.0.1 to 89.18.255.25489.18.255.25565,534
2089.19.0.0/1689.19.0.1 to 89.19.255.25489.19.255.25565,534
2189.20.0.0/1689.20.0.1 to 89.20.255.25489.20.255.25565,534
2289.21.0.0/1689.21.0.1 to 89.21.255.25489.21.255.25565,534
2389.22.0.0/1689.22.0.1 to 89.22.255.25489.22.255.25565,534
2489.23.0.0/1689.23.0.1 to 89.23.255.25489.23.255.25565,534
2589.24.0.0/1689.24.0.1 to 89.24.255.25489.24.255.25565,534
2689.25.0.0/1689.25.0.1 to 89.25.255.25489.25.255.25565,534
2789.26.0.0/1689.26.0.1 to 89.26.255.25489.26.255.25565,534
2889.27.0.0/1689.27.0.1 to 89.27.255.25489.27.255.25565,534
2989.28.0.0/1689.28.0.1 to 89.28.255.25489.28.255.25565,534
3089.29.0.0/1689.29.0.1 to 89.29.255.25489.29.255.25565,534
3189.30.0.0/1689.30.0.1 to 89.30.255.25489.30.255.25565,534
3289.31.0.0/1689.31.0.1 to 89.31.255.25489.31.255.25565,534
3389.32.0.0/1689.32.0.1 to 89.32.255.25489.32.255.25565,534
3489.33.0.0/1689.33.0.1 to 89.33.255.25489.33.255.25565,534
3589.34.0.0/1689.34.0.1 to 89.34.255.25489.34.255.25565,534
3689.35.0.0/1689.35.0.1 to 89.35.255.25489.35.255.25565,534
3789.36.0.0/1689.36.0.1 to 89.36.255.25489.36.255.25565,534
3889.37.0.0/1689.37.0.1 to 89.37.255.25489.37.255.25565,534
3989.38.0.0/1689.38.0.1 to 89.38.255.25489.38.255.25565,534
4089.39.0.0/1689.39.0.1 to 89.39.255.25489.39.255.25565,534
4189.40.0.0/1689.40.0.1 to 89.40.255.25489.40.255.25565,534
4289.41.0.0/1689.41.0.1 to 89.41.255.25489.41.255.25565,534
4389.42.0.0/1689.42.0.1 to 89.42.255.25489.42.255.25565,534
4489.43.0.0/1689.43.0.1 to 89.43.255.25489.43.255.25565,534
4589.44.0.0/1689.44.0.1 to 89.44.255.25489.44.255.25565,534
4689.45.0.0/1689.45.0.1 to 89.45.255.25489.45.255.25565,534
4789.46.0.0/1689.46.0.1 to 89.46.255.25489.46.255.25565,534
4889.47.0.0/1689.47.0.1 to 89.47.255.25489.47.255.25565,534
4989.48.0.0/1689.48.0.1 to 89.48.255.25489.48.255.25565,534
5089.49.0.0/1689.49.0.1 to 89.49.255.25489.49.255.25565,534
5189.50.0.0/1689.50.0.1 to 89.50.255.25489.50.255.25565,534
5289.51.0.0/1689.51.0.1 to 89.51.255.25489.51.255.25565,534
5389.52.0.0/1689.52.0.1 to 89.52.255.25489.52.255.25565,534
5489.53.0.0/1689.53.0.1 to 89.53.255.25489.53.255.25565,534
5589.54.0.0/1689.54.0.1 to 89.54.255.25489.54.255.25565,534
5689.55.0.0/1689.55.0.1 to 89.55.255.25489.55.255.25565,534
5789.56.0.0/1689.56.0.1 to 89.56.255.25489.56.255.25565,534
5889.57.0.0/1689.57.0.1 to 89.57.255.25489.57.255.25565,534
5989.58.0.0/1689.58.0.1 to 89.58.255.25489.58.255.25565,534
6089.59.0.0/1689.59.0.1 to 89.59.255.25489.59.255.25565,534
6189.60.0.0/1689.60.0.1 to 89.60.255.25489.60.255.25565,534
6289.61.0.0/1689.61.0.1 to 89.61.255.25489.61.255.25565,534
6389.62.0.0/1689.62.0.1 to 89.62.255.25489.62.255.25565,534
6489.63.0.0/1689.63.0.1 to 89.63.255.25489.63.255.25565,534
6589.64.0.0/1689.64.0.1 to 89.64.255.25489.64.255.25565,534
6689.65.0.0/1689.65.0.1 to 89.65.255.25489.65.255.25565,534
6789.66.0.0/1689.66.0.1 to 89.66.255.25489.66.255.25565,534
6889.67.0.0/1689.67.0.1 to 89.67.255.25489.67.255.25565,534
6989.68.0.0/1689.68.0.1 to 89.68.255.25489.68.255.25565,534
7089.69.0.0/1689.69.0.1 to 89.69.255.25489.69.255.25565,534
7189.70.0.0/1689.70.0.1 to 89.70.255.25489.70.255.25565,534
7289.71.0.0/1689.71.0.1 to 89.71.255.25489.71.255.25565,534
7389.72.0.0/1689.72.0.1 to 89.72.255.25489.72.255.25565,534
7489.73.0.0/1689.73.0.1 to 89.73.255.25489.73.255.25565,534
7589.74.0.0/1689.74.0.1 to 89.74.255.25489.74.255.25565,534
7689.75.0.0/1689.75.0.1 to 89.75.255.25489.75.255.25565,534
7789.76.0.0/1689.76.0.1 to 89.76.255.25489.76.255.25565,534
7889.77.0.0/1689.77.0.1 to 89.77.255.25489.77.255.25565,534
7989.78.0.0/1689.78.0.1 to 89.78.255.25489.78.255.25565,534
8089.79.0.0/1689.79.0.1 to 89.79.255.25489.79.255.25565,534
8189.80.0.0/1689.80.0.1 to 89.80.255.25489.80.255.25565,534
8289.81.0.0/1689.81.0.1 to 89.81.255.25489.81.255.25565,534
8389.82.0.0/1689.82.0.1 to 89.82.255.25489.82.255.25565,534
8489.83.0.0/1689.83.0.1 to 89.83.255.25489.83.255.25565,534
8589.84.0.0/1689.84.0.1 to 89.84.255.25489.84.255.25565,534
8689.85.0.0/1689.85.0.1 to 89.85.255.25489.85.255.25565,534
8789.86.0.0/1689.86.0.1 to 89.86.255.25489.86.255.25565,534
8889.87.0.0/1689.87.0.1 to 89.87.255.25489.87.255.25565,534
8989.88.0.0/1689.88.0.1 to 89.88.255.25489.88.255.25565,534
9089.89.0.0/1689.89.0.1 to 89.89.255.25489.89.255.25565,534
9189.90.0.0/1689.90.0.1 to 89.90.255.25489.90.255.25565,534
9289.91.0.0/1689.91.0.1 to 89.91.255.25489.91.255.25565,534
9389.92.0.0/1689.92.0.1 to 89.92.255.25489.92.255.25565,534
9489.93.0.0/1689.93.0.1 to 89.93.255.25489.93.255.25565,534
9589.94.0.0/1689.94.0.1 to 89.94.255.25489.94.255.25565,534
9689.95.0.0/1689.95.0.1 to 89.95.255.25489.95.255.25565,534
9789.96.0.0/1689.96.0.1 to 89.96.255.25489.96.255.25565,534
9889.97.0.0/1689.97.0.1 to 89.97.255.25489.97.255.25565,534
9989.98.0.0/1689.98.0.1 to 89.98.255.25489.98.255.25565,534
10089.99.0.0/1689.99.0.1 to 89.99.255.25489.99.255.25565,534
10189.100.0.0/1689.100.0.1 to 89.100.255.25489.100.255.25565,534
10289.101.0.0/1689.101.0.1 to 89.101.255.25489.101.255.25565,534
10389.102.0.0/1689.102.0.1 to 89.102.255.25489.102.255.25565,534
10489.103.0.0/1689.103.0.1 to 89.103.255.25489.103.255.25565,534
10589.104.0.0/1689.104.0.1 to 89.104.255.25489.104.255.25565,534
10689.105.0.0/1689.105.0.1 to 89.105.255.25489.105.255.25565,534
10789.106.0.0/1689.106.0.1 to 89.106.255.25489.106.255.25565,534
10889.107.0.0/1689.107.0.1 to 89.107.255.25489.107.255.25565,534
10989.108.0.0/1689.108.0.1 to 89.108.255.25489.108.255.25565,534
11089.109.0.0/1689.109.0.1 to 89.109.255.25489.109.255.25565,534
11189.110.0.0/1689.110.0.1 to 89.110.255.25489.110.255.25565,534
11289.111.0.0/1689.111.0.1 to 89.111.255.25489.111.255.25565,534
11389.112.0.0/1689.112.0.1 to 89.112.255.25489.112.255.25565,534
11489.113.0.0/1689.113.0.1 to 89.113.255.25489.113.255.25565,534
11589.114.0.0/1689.114.0.1 to 89.114.255.25489.114.255.25565,534
11689.115.0.0/1689.115.0.1 to 89.115.255.25489.115.255.25565,534
11789.116.0.0/1689.116.0.1 to 89.116.255.25489.116.255.25565,534
11889.117.0.0/1689.117.0.1 to 89.117.255.25489.117.255.25565,534
11989.118.0.0/1689.118.0.1 to 89.118.255.25489.118.255.25565,534
12089.119.0.0/1689.119.0.1 to 89.119.255.25489.119.255.25565,534
12189.120.0.0/1689.120.0.1 to 89.120.255.25489.120.255.25565,534
12289.121.0.0/1689.121.0.1 to 89.121.255.25489.121.255.25565,534
12389.122.0.0/1689.122.0.1 to 89.122.255.25489.122.255.25565,534
12489.123.0.0/1689.123.0.1 to 89.123.255.25489.123.255.25565,534
12589.124.0.0/1689.124.0.1 to 89.124.255.25489.124.255.25565,534
12689.125.0.0/1689.125.0.1 to 89.125.255.25489.125.255.25565,534
12789.126.0.0/1689.126.0.1 to 89.126.255.25489.126.255.25565,534
12889.127.0.0/1689.127.0.1 to 89.127.255.25489.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses